Index: invariantview/perspectives/invariant/help_panel.py
===================================================================
--- invariantview/perspectives/invariant/help_panel.py	(revision 1c779b6b9ee7ebebeb540ced435ec6d47848ac31)
+++ invariantview/perspectives/invariant/help_panel.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
@@ -7,10 +7,12 @@
     
 class HelpDialog(wx.Dialog):
+    """
+    """
     def __init__(self, parent, id):
-      
+        """
+        """
         wx.Dialog.__init__(self, parent, id, size=(400, 420))
         self.SetTitle("Invariant help") 
         
-
         vbox = wx.BoxSizer(wx.VERTICAL)
 
@@ -39,8 +41,10 @@
 
 class HelpWindow(wx.Frame):
+    """
+    """
     def __init__(self, parent, id, title= 'HelpWindow', pageToOpen=None):
         wx.Frame.__init__(self, parent, id, title, size=(820, 450))
         """
-             contains help info
+        contains help info
         """
       
@@ -112,5 +116,5 @@
     def OnLinkClicked(self, event):
         """
-            Function to diplay html page related to the hyperlinktext selected
+        Function to diplay html page related to the hyperlinktext selected
         """
         self.rhelp.LoadPage(self.path)
Index: invariantview/perspectives/invariant/invariant.py
===================================================================
--- invariantview/perspectives/invariant/invariant.py	(revision 8f2069d52050fb19416f009a629249aafa5e0fe5)
+++ invariantview/perspectives/invariant/invariant.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
@@ -1,11 +1,15 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-See the license text in license.txt
-
-copyright 2009, University of Tennessee
-"""
+
+
+
+################################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#
+#See the license text in license.txt
+#
+#copyright 2009, University of Tennessee
+################################################################################
+
 import wx
 
@@ -17,8 +21,9 @@
 from sans.guicomm.events import NewPlotEvent, StatusEvent
 from sans.guicomm.events import ERR_DATA
+
 class Plugin:
     """
-        This class defines the interface for invariant Plugin class
-        that can be used by the gui_manager.
+    This class defines the interface for invariant Plugin class
+    that can be used by the gui_manager.
          
     """
@@ -26,5 +31,5 @@
     def __init__(self, standalone=False):
         """
-            Abstract class for gui_manager Plugins.
+        Abstract class for gui_manager Plugins.
         """
         ## Plug-in name. It will appear on the application menu.
@@ -41,10 +46,12 @@
     def populate_menu(self, id, parent):
         """
-            Create and return the list of application menu
-            items for the plug-in. 
-            
-            @param id: deprecated. Un-used.
-            @param parent: parent window
-            @return: plug-in menu
+        Create and return the list of application menu
+        items for the plug-in. 
+        
+        :param id: deprecated. Un-used.
+        :param parent: parent window
+        
+        :return: plug-in menu
+        
         """
         return []
@@ -52,7 +59,6 @@
     def help(self, evt):
         """
-            Show a general help dialog. 
-            TODO: replace the text with a nice image
-            provide more hint on the SLD calculator
+        Show a general help dialog. 
+    
         """
         from help_panel import  HelpWindow
@@ -62,13 +68,15 @@
     def get_panels(self, parent):
         """
-            Create and return the list of wx.Panels for your plug-in.
-            Define the plug-in perspective.
-            
-            Panels should inherit from DefaultPanel defined below,
-            or should present the same interface. They must define
-            "window_caption" and "window_name".
-            
-            @param parent: parent window
-            @return: list of panels
+        Create and return the list of wx.Panels for your plug-in.
+        Define the plug-in perspective.
+        
+        Panels should inherit from DefaultPanel defined below,
+        or should present the same interface. They must define
+        "window_caption" and "window_name".
+        
+        :param parent: parent window
+        
+        :return: list of panels
+        
         """
         ## Save a reference to the parent
@@ -85,5 +93,5 @@
     def get_tools(self):
         """
-            Returns a set of menu entries for tools
+        Returns a set of menu entries for tools
         """
         return []
@@ -92,21 +100,23 @@
     def get_context_menu(self, graph=None):
         """
-            This method is optional.
-        
-            When the context menu of a plot is rendered, the 
-            get_context_menu method will be called to give you a 
-            chance to add a menu item to the context menu.
-            
-            A ref to a Graph object is passed so that you can
-            investigate the plot content and decide whether you
-            need to add items to the context menu.  
-            
-            This method returns a list of menu items.
-            Each item is itself a list defining the text to 
-            appear in the menu, a tool-tip help text, and a
-            call-back method.
-            
-            @param graph: the Graph object to which we attach the context menu
-            @return: a list of menu items with call-back function
+        This method is optional.
+    
+        When the context menu of a plot is rendered, the 
+        get_context_menu method will be called to give you a 
+        chance to add a menu item to the context menu.
+        
+        A ref to a Graph object is passed so that you can
+        investigate the plot content and decide whether you
+        need to add items to the context menu.  
+        
+        This method returns a list of menu items.
+        Each item is itself a list defining the text to 
+        appear in the menu, a tool-tip help text, and a
+        call-back method.
+        
+        :param graph: the Graph object to which we attach the context menu
+        
+        :return: a list of menu items with call-back function
+        
         """
         self.graph = graph
@@ -127,5 +137,5 @@
     def get_perspective(self):
         """
-            Get the list of panel names for this perspective
+        Get the list of panel names for this perspective
         """
         return self.perspective
@@ -133,8 +143,10 @@
     def on_perspective(self, event):
         """
-            Call back function for the perspective menu item.
-            We notify the parent window that the perspective
-            has changed.
-            @param event: menu event
+        Call back function for the perspective menu item.
+        We notify the parent window that the perspective
+        has changed.
+        
+        :param event: menu event
+        
         """
         self.parent.set_perspective(self.perspective)
@@ -142,5 +154,5 @@
     def post_init(self):
         """
-            Post initialization call back to close the loose ends
+        Post initialization call back to close the loose ends
         """
         pass
@@ -148,8 +160,8 @@
     def set_default_perspective(self):
         """
-           Call back method that True to notify the parent that the current plug-in
-           can be set as default  perspective.
-           when returning False, the plug-in is not candidate for an automatic 
-           default perspective setting
+        Call back method that True to notify the parent that the current plug-in
+        can be set as default  perspective.
+        when returning False, the plug-in is not candidate for an automatic 
+        default perspective setting
         """
         return False
@@ -157,7 +169,7 @@
     def copy_data(self, item, dy=None):
         """
-            receive a data 1D and the list of errors on dy
-            and create a new data1D data
-            @param return 
+        receive a data 1D and the list of errors on dy
+        and create a new data1D data
+        
         """
         id = None
@@ -179,6 +191,6 @@
     def _on_data_error(self, event):
         """
-            receives and event from plotting plu-gins to store the data name and 
-            their errors of y coordinates for 1Data hide and show error
+        receives and event from plotting plu-gins to store the data name and 
+        their errors of y coordinates for 1Data hide and show error
         """
         self.err_dy = event.err_dy
@@ -186,5 +198,5 @@
     def _compute_invariant(self, event):    
         """
-            Open the invariant panel to invariant computation
+        Open the invariant panel to invariant computation
         """
         self.panel = event.GetEventObject()
@@ -208,7 +220,9 @@
     def plot_theory(self, data=None, name=None):
         """
-            Receive a data set and post a NewPlotEvent to parent.
-            @param data: extrapolated data to be plotted
-            @param name: Data's name to use for the legend
+        Receive a data set and post a NewPlotEvent to parent.
+        
+        :param data: extrapolated data to be plotted
+        :param name: Data's name to use for the legend
+        
         """
         if data is None:
@@ -235,5 +249,5 @@
     def plot_data(self, scale, background):
         """
-            replot the current data if the user enters a new scale or background
+        replot the current data if the user enters a new scale or background
         """
         new_plot = scale * self.__data - background
Index: invariantview/perspectives/invariant/invariant_details.py
===================================================================
--- invariantview/perspectives/invariant/invariant_details.py	(revision 5dc42361740cbcbdb6394b4f3dd6cc705dce0e33)
+++ invariantview/perspectives/invariant/invariant_details.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
@@ -31,7 +31,7 @@
 class InvariantContainer(wx.Object):
     """
-        This class stores some values resulting resulting from invariant
-        calculations. Given the value of total invariant, this class can also 
-        determine the percentage of invariants resulting from extrapolation.
+    This class stores some values resulting resulting from invariant
+    calculations. Given the value of total invariant, this class can also 
+    determine the percentage of invariants resulting from extrapolation.
     """
     def __init__(self):
@@ -62,5 +62,5 @@
     def compute_percentage(self):
         """
-            Compute percentage of each invariant
+        Compute percentage of each invariant
         """
         if self.qstar_total is None:
@@ -99,5 +99,5 @@
     def check_values(self):
         """
-            check the validity if invariant
+        check the validity if invariant
         """
         if self.qstar_total is None and self.qstar is None:
@@ -145,5 +145,5 @@
 class InvariantDetailsPanel(wx.Dialog):
     """
-        This panel describes proportion of invariants 
+    This panel describes proportion of invariants 
     """
     def __init__(self, parent=None, id=-1, qstar_container=None, 
@@ -182,5 +182,5 @@
     def _define_structure(self):
         """
-            Define main sizers needed for this panel
+        Define main sizers needed for this panel
         """
         #Box sizers must be defined first before defining buttons/textctrls (MAC).
@@ -206,5 +206,5 @@
     def _layout_shart(self):
         """
-            Draw widgets related to chart
+        Draw widgets related to chart
         """
         self.panel_chart = wx.Panel(self)
@@ -214,5 +214,5 @@
     def _layout_invariant(self):
         """
-            Draw widgets related to invariant
+        Draw widgets related to invariant
         """
         uncertainty = "+/-" 
@@ -301,5 +301,5 @@
     def _layout_warning(self):
         """
-            Draw widgets related to warning
+        Draw widgets related to warning
         """
         #Warning [string]
@@ -312,5 +312,5 @@
     def _layout_button(self):
         """
-            Draw widgets related to button
+        Draw widgets related to button
         """
         #Close button
@@ -323,5 +323,5 @@
     def _do_layout(self):
         """
-            Draw window content
+        Draw window content
         """
         self._define_structure()
@@ -339,5 +339,5 @@
     def set_values(self):
         """
-            Set value of txtcrtl
+        Set value of txtcrtl
         """
         self.invariant_tcl.SetValue(format_number(self.qstar_container.qstar))
@@ -350,5 +350,5 @@
     def get_scale(self, percentage, scale_name='scale'):
         """
-            Check scale receive in this panel. 
+        Check scale receive in this panel. 
         """
         scale = RECTANGLE_SCALE
@@ -366,5 +366,5 @@
     def set_color_bar(self):
         """
-            Change the color for low and high bar when necessary
+        Change the color for low and high bar when necessary
         """
         #warning to the user when the extrapolated invariant is greater than %5
@@ -376,5 +376,5 @@
     def on_close(self, event):
         """
-            Close the current window
+        Close the current window
         """
         self.Close()
@@ -382,5 +382,5 @@
     def on_paint(self, event):
         """
-            Draw the chart
+        Draw the chart
         """
         dc = wx.PaintDC(self.panel_chart)
Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision 3de66c1fa0ced30289fd96b486d47cec438a77ba)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
@@ -1,5 +1,5 @@
 """
-    This module provide GUI for the neutron scattering length density calculator
-    @author: Gervaise B. Alina
+This module provide GUI for the neutron scattering length density calculator
+
 """
 
@@ -47,5 +47,5 @@
 class InvariantPanel(ScrolledPanel):
     """
-        Provides the Invariant GUI.
+    Provides the Invariant GUI.
     """
     ## Internal nickname for the window, used by the AUI manager
@@ -81,5 +81,5 @@
     def err_check_on_data(self):
         """
-            Check if data is valid for further computation
+        Check if data is valid for further computation
         """
         flag = False
@@ -98,5 +98,5 @@
     def set_data(self, data):
         """
-            Set the data
+        Set the data
         """
         self._data = data
@@ -115,5 +115,5 @@
     def set_message(self):
         """
-            Display warning message if available
+        Display warning message if available
         """
         if self.inv_container is not None:
@@ -133,5 +133,5 @@
     def set_manager(self, manager):
         """
-            set value for the manager
+        set value for the manager
         """
         self._manager = manager 
@@ -139,5 +139,5 @@
     def get_background(self):
         """
-            @return the background textcrtl value as a float
+        return the background textcrtl value as a float
         """
         background = self.background_tcl.GetValue().lstrip().rstrip()
@@ -151,5 +151,5 @@
     def get_scale(self):
         """
-            @return the scale textcrtl value as a float
+        return the scale textcrtl value as a float
         """
         scale = self.scale_tcl.GetValue().lstrip().rstrip()
@@ -167,5 +167,5 @@
     def get_contrast(self):
         """
-            @return the contrast textcrtl value as a float
+        return the contrast textcrtl value as a float
         """
         par_str = self.contrast_tcl.GetValue().strip()
@@ -189,5 +189,5 @@
     def get_porod_const(self):
         """
-            @return the porod constant textcrtl value as a float
+        return the porod constant textcrtl value as a float
         """
         par_str = self.porod_constant_tcl.GetValue().strip()
@@ -304,5 +304,5 @@
     def set_extrapolation_low(self, inv, low_q=False):
         """
-            @return float value necessary to compute invariant a low q
+        return float value necessary to compute invariant a low q
         """
         #get funtion
@@ -341,5 +341,5 @@
     def set_extrapolation_high(self, inv, high_q=False):
         """
-            @return float value necessary to compute invariant a high q
+        return float value necessary to compute invariant a high q
         """
         power_high = None
@@ -372,5 +372,5 @@
     def display_details(self, event):
         """
-            open another panel for more details on invariant calculation
+        open another panel for more details on invariant calculation
         """
         panel = InvariantDetailsPanel(parent=self, 
@@ -382,5 +382,5 @@
     def compute_invariant(self, event=None):
         """
-            compute invariant 
+        compute invariant 
         """
         msg= ""
@@ -465,5 +465,5 @@
     def reset_panel(self):
         """
-            set the panel at its initial state.
+        set the panel at its initial state.
         """
         self.background_tcl.SetValue(str(BACKGROUND))
@@ -491,5 +491,5 @@
     def _reset_output(self):
         """
-            clear outputs textcrtl
+        clear outputs textcrtl
         """
         self.invariant_total_tcl.Clear()
@@ -504,5 +504,5 @@
     def _define_structure(self):
         """
-            Define main sizers needed for this panel
+        Define main sizers needed for this panel
         """
         ## Box sizers must be defined first before defining buttons/textctrls (MAC).
@@ -550,5 +550,5 @@
     def _layout_data_name(self):
         """
-            Draw widgets related to data's name
+        Draw widgets related to data's name
         """
         #Sizer hint 
@@ -586,5 +586,5 @@
     def _layout_bkg_scale(self):
         """
-            Draw widgets related to background and scale
+        Draw widgets related to background and scale
         """
         background_txt = wx.StaticText(self, -1, 'Background : ')  
@@ -605,5 +605,5 @@
     def _layout_contrast_porod(self):
         """
-            Draw widgets related to porod constant and contrast
+        Draw widgets related to porod constant and contrast
         """
         contrast_txt = wx.StaticText(self, -1, 'Contrast : ')  
@@ -627,5 +627,5 @@
     def _enable_fit_power_law_low(self, event=None):
         """
-            Enable and disable the power value editing
+        Enable and disable the power value editing
         """
         if self.fix_enable_low.IsEnabled():
@@ -637,5 +637,5 @@
     def _enable_low_q_section(self, event=None):
         """
-            Disable or enable some button if the user enable low q extrapolation
+        Disable or enable some button if the user enable low q extrapolation
         """
         if self.enable_low_cbox.GetValue():
@@ -658,5 +658,5 @@
     def _enable_power_law_low(self, event=None):
         """
-            Enable editing power law section at low q range
+        Enable editing power law section at low q range
         """
         if self.guinier.GetValue():
@@ -672,5 +672,5 @@
     def _layout_extrapolation_low(self):
         """
-            Draw widgets related to extrapolation at low q range
+        Draw widgets related to extrapolation at low q range
         """
         self.enable_low_cbox = wx.CheckBox(self, -1, "Enable Extrapolate Low Q")
@@ -742,5 +742,5 @@
     def _enable_fit_power_law_high(self, event=None):
         """
-            Enable and disable the power value editing
+        Enable and disable the power value editing
         """
         if self.fix_enable_high.IsEnabled():
@@ -752,5 +752,5 @@
     def _enable_high_q_section(self, event=None):
         """
-            Disable or enable some button if the user enable high q extrapolation
+        Disable or enable some button if the user enable high q extrapolation
         """
         if self.enable_high_cbox.GetValue():
@@ -771,5 +771,5 @@
     def _layout_extrapolation_high(self):
         """
-            Draw widgets related to extrapolation at high q range
+        Draw widgets related to extrapolation at high q range
         """
         self.enable_high_cbox = wx.CheckBox(self, -1, "Enable Extrapolate high-Q")
@@ -833,5 +833,5 @@
     def _layout_extrapolation(self):
         """
-            Draw widgets related to extrapolation
+        Draw widgets related to extrapolation
         """
         extra_hint = "Extrapolation Maximum Q Range [1/A]: "
@@ -869,5 +869,5 @@
     def _layout_volume_surface_sizer(self):
         """
-            Draw widgets related to volume and surface
+        Draw widgets related to volume and surface
         """
         unit_volume = ''
@@ -922,5 +922,5 @@
     def _layout_invariant_sizer(self):
         """
-            Draw widgets related to invariant
+        Draw widgets related to invariant
         """
         uncertainty = "+/-" 
@@ -954,5 +954,5 @@
     def _layout_inputs_sizer(self):
         """
-            Draw widgets related to inputs
+        Draw widgets related to inputs
         """
         self._layout_bkg_scale()
@@ -963,5 +963,5 @@
     def _layout_outputs_sizer(self):
         """
-            Draw widgets related to outputs
+        Draw widgets related to outputs
         """
         self._layout_volume_surface_sizer()
@@ -973,5 +973,5 @@
     def _layout_button(self):  
         """
-            Do the layout for the button widgets
+        Do the layout for the button widgets
         """ 
         #compute button
@@ -995,5 +995,5 @@
     def _do_layout(self):
         """
-            Draw window content
+        Draw window content
         """
         self._define_structure()
@@ -1016,4 +1016,6 @@
     
 class InvariantDialog(wx.Dialog):
+    """
+    """
     def __init__(self, parent=None, id=1,graph=None,
                  data=None, title="Invariant",base=None):
@@ -1025,4 +1027,6 @@
         
 class InvariantWindow(wx.Frame):
+    """
+    """
     def __init__(self, parent=None, id=1,graph=None, 
                  data=None, title="Invariant",base=None):
Index: invariantview/perspectives/invariant/invariant_widgets.py
===================================================================
--- invariantview/perspectives/invariant/invariant_widgets.py	(revision 6546e4ba88d6d102f6635872514668c509ee910e)
+++ invariantview/perspectives/invariant/invariant_widgets.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
@@ -1,11 +1,16 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
 
-See the license text in license.txt
 
-copyright 2009, University of Tennessee
-"""
+
+################################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#
+#See the license text in license.txt
+#
+#copyright 2009, University of Tennessee
+################################################################################
+
+
 import wx
 import os
@@ -13,6 +18,6 @@
 class InvTextCtrl(wx.TextCtrl):
     """
-        Text control for model and fit parameters.
-        Binds the appropriate events for user interactions.
+    Text control for model and fit parameters.
+    Binds the appropriate events for user interactions.
     """
     def __init__(self, *args, **kwds):
@@ -30,7 +35,9 @@
     def _on_set_focus(self, event):
         """
-            Catch when the text control is set in focus to highlight the whole
-            text if necessary
-            @param event: mouse event
+        Catch when the text control is set in focus to highlight the whole
+        text if necessary
+        
+        :param event: mouse event
+        
         """
         event.Skip()
@@ -39,6 +46,8 @@
     def _highlight_text(self, event):
         """
-            Highlight text of a TextCtrl only of no text has be selected
-            @param event: mouse event
+        Highlight text of a TextCtrl only of no text has be selected
+        
+        :param event: mouse event
+        
         """
         # Make sure the mouse event is available to other listeners
@@ -57,7 +66,7 @@
 class OutputTextCtrl(wx.TextCtrl):
     """
-        Text control used to display outputs.
-        No editing allowed. The background is 
-        grayed out. User can't select text.
+    Text control used to display outputs.
+    No editing allowed. The background is 
+    grayed out. User can't select text.
     """
     def __init__(self, *args, **kwds):
@@ -73,6 +82,6 @@
     def _click(self, event):
         """
-            Prevent further handling of the mouse event
-            by not calling Skip().
+        Prevent further handling of the mouse event
+        by not calling Skip().
         """ 
         pass
